Subject: Re: [PATCH v2 04/13] Connection Manager

From: Brice Goglin <[email-masked]>
Date: Tue, 05 Dec 2006 11:45:55 +0100

Steve Wise wrote:
> There is no SW TCP stack in this driver.  The HW supports RDMA over
> TCP/IP/10GbE in HW and this is required for zero-copy RDMA over Ethernet
> (aka iWARP).  The device is a 10 GbE device, not Infiniband.

Then, I wonder why the driver goes in drivers/infiniband/ :)

Is there really no way to only keep the actual hw infiniband there, move
iwarp/rdma drivers in drivers/net/something/ and the core stuff in
net/something/ ?

Brice